Bug 765146 - (GLUSTER-3414) None of nfs cli volume set options work
None of nfs cli volume set options work
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.2.2
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-15 15:03 EDT by Harshavardhana
Modified: 2015-03-22 21:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions: Release-3.2 , 3.3.0qa11
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2011-08-15 15:03:28 EDT
[root@sysrq ~]# gluster volume info

Volume Name: test
Type: Distribute
Status: Stopped
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 172.17.30.103:/tmp/test1
Brick2: 172.17.30.103:/tmp/test2
[root@sysrq ~]# gluster --version
glusterfs 3.2.2 built on Jul 21 2011 15:08:53
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2010 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU Affero General Public License.
[root@sysrq ~]# gluster volume set test nfs.enable-ino32 on
Set volume successful
[root@sysrq ~]# gluster volume inof
unrecognized word: inof (position 1)
[root@sysrq ~]# gluster volume info

Volume Name: test
Type: Distribute
Status: Stopped
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 172.17.30.103:/tmp/test1
Brick2: 172.17.30.103:/tmp/test2
Options Reconfigured:
nfs.enable-ino32: on
[root@sysrq ~]# grep nfs /etc/glusterd/nfs/nfs-server.vol
volume nfs-server
    type nfs/server
    option nfs.dynamic-volumes on
    option nfs3.test.volume-id 56bf0e61-2b3e-4c24-b4b8-003d29247087


---------------------------------------------------------------------


[root@sysrq ~]# gluster volume set test nfs.port 12321
Set volume successful
[root@sysrq ~]# gluster volume info

Volume Name: test
Type: Distribute
Status: Stopped
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 172.17.30.103:/tmp/test1
Brick2: 172.17.30.103:/tmp/test2
Options Reconfigured:
nfs.port: 12321
nfs.enable-ino32: on
[root@sysrq ~]# grep nfs /etc/glusterd/nfs/nfs-server.vol
volume nfs-server
    type nfs/server
    option nfs.dynamic-volumes on
    option nfs3.test.volume-id 56bf0e61-2b3e-4c24-b4b8-003d29247087

-------------------------------------------------------------------------
[root@sysrq ~]# gluster volume set test nfs.rpc-auth-null off
Set volume successful
[root@sysrq ~]# grep nfs /etc/glusterd/nfs/nfs-server.vol
volume nfs-server
    type nfs/server
    option nfs.dynamic-volumes on
    option nfs3.test.volume-id 56bf0e61-2b3e-4c24-b4b8-003d29247087
[root@sysrq ~]# less /etc/glusterd/nfs/nfs-server.vol
[root@sysrq ~]#
Comment 1 Amar Tumballi 2011-08-17 05:00:59 EDT
Junaid, let me know if you can't work on this ASAP. Need this fix very soon (on release-3.2 branch).

Krishna, let me know if you are having time to work and get it fixed in a day.
Comment 2 Vidya Sakar 2011-08-17 05:23:06 EDT
This fix is needed for 3.2.3.
Comment 3 Krishna Srinivas 2011-08-17 06:54:54 EDT
(In reply to comment #1)
> Junaid, let me know if you can't work on this ASAP. Need this fix very soon (on
> release-3.2 branch).
> 
> Krishna, let me know if you are having time to work and get it fixed in a day.

I am looking into this. I am trying to figure out what needs to be done to get this working.
Comment 4 Anand Avati 2011-08-18 23:14:44 EDT
CHANGE: http://review.gluster.com/255 (Change-Id: If2b854ede47fa27c0134e6abaccb62dbe2ea8b26) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 5 Vijaykumar 2011-08-19 07:22:47 EDT
nfs.rpc-auth-reject and nfs.trusted-sync options are not working. Actually it will reflect in the volume info but it won't get reflected in nfs-server.vol file.
Comment 6 Anand Avati 2011-08-19 22:48:51 EDT
CHANGE: http://review.gluster.com/272 (Change-Id: I9e86b472500b59fb220c7589fd00fa9fffdca9c5) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 7 Anand Avati 2011-08-20 06:32:06 EDT
CHANGE: http://review.gluster.com/279 (Change-Id: If3db4f81215271072030d7119081de5d8b1b3d78) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 8 Vijaykumar 2011-08-21 22:45:11 EDT
All nfs cli volume set options are working fine now.
Comment 9 Anand Avati 2011-09-04 10:12:01 EDT
CHANGE: http://review.gluster.com/337 (Change-Id: I4d25f5588b6def42a53488c42381f028d0884713) merged in release-3.1 by Vijay Bellur (vijay@gluster.com)
Comment 10 Vijaykumar 2011-09-05 01:52:49 EDT
nfs.rpc-auth-null option is not working in release 3.1.7qa3 and in mainline.
Comment 11 Anand Avati 2011-09-14 04:03:09 EDT
CHANGE: http://review.gluster.com/350 (Change-Id: I3f59cb2fa16882a6b82b81e669e2076ea9b80398) merged in release-3.1 by Vijay Bellur (vijay@gluster.com)
Comment 12 Vijaykumar 2011-09-26 03:17:08 EDT
verified on 3.3.0qa11

Note You need to log in before you can comment on or make changes to this bug.